tpm_changeauth_tests.sh 3.1 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146
  1. #! /bin/sh
  2. #
  3. # Copyright (c) International Business Machines Corp., 2005
  4. #
  5. # This program is free software; you can redistribute it and#or modify
  6. # it under the terms of the GNU General Public License as published by
  7. # the Free Software Foundation; either version 2 of the License, or
  8. # (at your option) any later version.
  9. #
  10. # This program is distributed in the hope that it will be useful, but
  11. # WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
  12. # or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
  13. # for more details.
  14. #
  15. # You should have received a copy of the GNU General Public License
  16. # along with this program; if not, write to the Free Software
  17. # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
  18. #
  19. setup()
  20. {
  21. RC=0 # Return code from commands.
  22. if [ -z "$LTPTMP" ] && [ -z "$TMPBASE" ]
  23. then
  24. LTPTMP="/tmp"
  25. else
  26. LTPTMP="$TMPBASE"
  27. fi
  28. export TPM_TMPFILE="$LTPTMP/tst_tpm.err"
  29. rm -f $TPM_TMPFILE 2>&1
  30. # Set known password values
  31. if [ -z "$OWN_PWD" ]
  32. then
  33. export OWN_PWD="OWN PWD"
  34. fi
  35. if [ -z "$SRK_PWD" ]
  36. then
  37. export SRK_PWD="SRK PWD"
  38. fi
  39. if [ -z "$NEW_OWN_PWD" ]
  40. then
  41. export NEW_OWN_PWD="NEW OWN PWD"
  42. fi
  43. if [ -z "$NEW_SRK_PWD" ]
  44. then
  45. export NEW_SRK_PWD="NEW SRK PWD"
  46. fi
  47. tst_resm TINFO "INIT: Inititalizing tests."
  48. which tpm_changeownerauth 1>$TPM_TMPFILE 2>&1 || RC=$?
  49. if [ $RC -ne 0 ]
  50. then
  51. tst_brk TBROK $TPM_TMPFILE NULL \
  52. "Setup: tpm_changeownerauth command does not exist. Reason:"
  53. return $RC
  54. fi
  55. return $RC
  56. }
  57. test01()
  58. {
  59. RC=0 # Return value from commands
  60. export TCID=tpm_changeauth01 # Test ID
  61. export TST_COUNT=1 # Test number
  62. tpm_changeauth_tests_exp01.sh 1>$TPM_TMPFILE 2>&1 || RC=$?
  63. if [ $RC -eq 0 ]
  64. then
  65. tst_resm TPASS "'tpm_changeauth -o' passed."
  66. RC=0
  67. else
  68. tst_res TFAIL $TPM_TMPFILE "'tpm_changeauth -o' failed."
  69. RC=1
  70. fi
  71. return $RC
  72. }
  73. test02()
  74. {
  75. RC=0 # Return value from commands
  76. export TCID=tpm_changeauth02 # Test ID
  77. export TST_COUNT=2 # Test number
  78. tpm_changeauth_tests_exp02.sh 1>$TPM_TMPFILE 2>&1 || RC=$?
  79. if [ $RC -eq 0 ]
  80. then
  81. tst_resm TPASS "'tpm_changeauth -s' passed."
  82. RC=0
  83. else
  84. tst_res TFAIL $TPM_TMPFILE "'tpm_changeauth -s' failed."
  85. RC=1
  86. fi
  87. return $RC
  88. }
  89. test03()
  90. {
  91. RC=0 # Return value from commands
  92. export TCID=tpm_changeauth03 # Test ID
  93. export TST_COUNT=3 # Test number
  94. tpm_changeauth_tests_exp03.sh 1>$TPM_TMPFILE 2>&1 || RC=$?
  95. if [ $RC -eq 0 ]
  96. then
  97. tst_resm TPASS "'tpm_changeauth -s -o' passed."
  98. RC=0
  99. else
  100. tst_res TFAIL $TPM_TMPFILE "'tpm_changeauth -s -o' failed."
  101. RC=1
  102. fi
  103. return $RC
  104. }
  105. cleanup()
  106. {
  107. rm -f $TPM_TMPFILE 2>&1
  108. }
  109. # Function: main
  110. #
  111. # Description: - Execute all tests, report results.
  112. #
  113. # Exit: - zero on success
  114. # - non-zero on failure.
  115. TFAILCNT=0 # Set TFAILCNT to 0, increment on failure.
  116. RC=0 # Return code from tests.
  117. export TCID=tpm_changeauth # Test ID
  118. export TST_TOTAL=3 # Total numner of tests in this file.
  119. export TST_COUNT=0 # Initialize identifier
  120. setup || exit $RC # Exit if initializing testcases fails.
  121. test01 || TFAILCNT=$(($TFAILCNT+1))
  122. test02 || TFAILCNT=$(($TFAILCNT+1))
  123. test03 || TFAILCNT=$(($TFAILCNT+1))
  124. cleanup
  125. exit $TFAILCNT